Get Credential by ID
Retrieve a specific credential from a Wallet by credential ID.
Get specific credential with `credentialId`.
Returns the credential of the targeted wallet. The returned credential is not selectively disclosed. All credential data will be visible in the plain text.
Path Parameters
walletId*string
The unique identifier of the Wallet.
Format
uuidcredentialId*string
An ID of the Credential.
Format
uuidHeader Parameters
Authorization*string
Token for authenticating requests to the FortID Wallet Service.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://ews.fortid.com/wallets/f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb/credentials/dd6473c2-2043-4523-b359-ceb596ddae66" \ -H "Authorization: Bearer {access_token}"{
"credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e",
"issuerUrl": "http://example.com",
"claims": {
"eu.europa.ec.eudi.pid.1": {
"sex": 5,
"birth_date": "1980-05-23",
"given_name": "John",
"expiry_date": "2026-05-23T12:12:12Z",
"family_name": "Doe",
"nationality": [
"FR"
],
"issuance_date": "2024-05-23T12:12:12Z",
"resident_city": "Rome",
"place_of_birth": "DE",
"issuing_country": "DE",
"resident_street": "123 via Appia",
"resident_country": "IT",
"issuing_authority": "DE",
"resident_postal_code": "00100"
}
},
"format": "mso_mdoc",
"type": "eu.europa.ec.eudi.pid.1",
"credentialConfigurationId": "eu.europa.ec.eudi.pid_mdoc",
"validity": {
"validFrom": "2019-08-24T14:15:22Z",
"validUntil": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"receivedAt": "2019-08-24T14:15:22Z"
}
}{
"message": "string"
}{
"message": "Unauthorized access to wallet service is not allowed."
}{
"message": "User user:9d18dc5a409e4f0f94ff6812e324c959 unauthorized for Wallet f5d223f6-fc41-42b1-b2a6-475a2984486c"
}{
"message": "Credential with ID f8d229e1-7610-4c96-9846-f4f7a4b661d6 not found"
}{
"message": "Internal Server Error"
}